[arch-commits] Commit in m4/trunk (PKGBUILD m4.install)

Allan McRae allan at archlinux.org
Sat Apr 4 23:12:46 EDT 2009


    Date: Saturday, April 4, 2009 @ 23:12:45
  Author: allan
Revision: 33857

upgpkg: m4 1.4.13-1

Modified:
  m4/trunk/PKGBUILD
  m4/trunk/m4.install

------------+
 PKGBUILD   |   10 ++++++----
 m4.install |    6 +++---
 2 files changed, 9 insertions(+), 7 deletions(-)

Modified: PKGBUILD
===================================================================
--- PKGBUILD	2009-04-05 02:46:42 UTC (rev 33856)
+++ PKGBUILD	2009-04-05 03:12:45 UTC (rev 33857)
@@ -1,8 +1,9 @@
 # $Id$
-# Maintainer: Andreas Radke <andyrtr at archlinux.org>
+# Maintainer: Allan McRae <allan at archlinux.org>
+# Contributor: Andreas Radke <andyrtr at archlinux.org>
 
 pkgname=m4
-pkgver=1.4.12
+pkgver=1.4.13
 pkgrel=1
 pkgdesc="m4 macro processor"
 arch=(i686 x86_64)
@@ -10,9 +11,9 @@
 url="http://www.gnu.org/software/m4"
 install=m4.install
 groups=('base-devel')
-depends=('glibc' 'bash' 'texinfo')
+depends=('glibc' 'bash')
 source=(ftp://ftp.gnu.org/gnu/m4/$pkgname-$pkgver.tar.gz)
-md5sums=('0499a958a561781b125c740f18061ea8')
+md5sums=('e9e36108b5f9855a82ca4a07ebc0fd2e')
 
 build() {
   cd ${srcdir}/$pkgname-$pkgver
@@ -21,4 +22,5 @@
   make prefix=${pkgdir}/usr install || return 1
 
   rm -f ${pkgdir}/usr/share/info/dir
+  gzip -9 $pkgdir/usr/share/info/*
 }

Modified: m4.install
===================================================================
--- m4.install	2009-04-05 02:46:42 UTC (rev 33856)
+++ m4.install	2009-04-05 03:12:45 UTC (rev 33857)
@@ -1,7 +1,8 @@
 infodir=/usr/share/info
-filelist=(m4.info m4.info-1 m4.info-2)
+filelist=(m4.info.gz m4.info-1.gz m4.info-2.gz)
 
 post_install() {
+  [ -x usr/bin/install-info ] || return 0
   for file in ${filelist[@]}; do
     install-info $infodir/$file $infodir/dir 2> /dev/null
   done
@@ -12,9 +13,8 @@
 }
 
 pre_remove() {
+  [ -x usr/bin/install-info ] || return 0
   for file in ${filelist[@]}; do
     install-info --delete $infodir/$file $infodir/dir 2> /dev/null
   done
 }
-
-# vim:set ts=2 sw=2 et:



More information about the arch-commits mailing list